netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
fce.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <inttypes.h>`
`#include <sys/param.h>`
`#include <signal.h>`
`#include <atalk/fce_api.h>`
`#include <atalk/util.h>`

## Macros
#define | MAXBUFLEN 1024

## Functions
static void | sig_handler (int signo)
static int | unpack_fce_packet (unsigned char *buf, size_t buflen, struct fce_packet *packet)
int | main (int argc, char **argv)

## Variables
static volatile sig_atomic_t | stop_requested = 0
static char * | fce_ev_names []

## Macro Definition Documentation

## ◆ MAXBUFLEN

#define MAXBUFLEN 1024

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ sig_handler()

void sig_handler | ( | int | signo | ) |
| static

## ◆ unpack_fce_packet()

int unpack_fce_packet | ( | unsigned char * | buf,
|  | size_t | buflen,
|  | struct fce_packet * | packet )
| static

## Variable Documentation

## ◆ fce_ev_names

char* fce_ev_names[]
| static

Initial value:
= {
"",
"FCE_FILE_MODIFY",
"FCE_FILE_DELETE",
"FCE_DIR_DELETE",
"FCE_FILE_CREATE",
"FCE_DIR_CREATE",
"FCE_FILE_MOVE",
"FCE_DIR_MOVE",
"FCE_LOGIN",
"FCE_LOGOUT"
}

## ◆ stop_requested

volatile sig_atomic_t stop_requested = 0
| static